Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# OdeJointCollection Class Reference

List of all members.

## Public Member Functions
| OdeJointCollection ()
| OdeJointCollection (OdeJointCollection const copy)
| addJoint (OdeJoint const joint)
| addJointsFrom (OdeJointCollection const other)
| clear ()
OdeJoint | getJoint (int index)
list | getJoints ()
int | getNumJoints ()
bool | hasJoint (OdeJoint const joint)
bool | isEmpty ()
OdeJointCollection | operator+ (OdeJointCollection const other)
| Returns a OdeJointCollection representing the concatenation of the two lists.
OdeJointCollection | operator+= (OdeJointCollection const other)
| Appends the other list onto the end of this one.
OdeJointCollection | operator= (OdeJointCollection const copy)
OdeJoint | operator[] (int index)
| removeDuplicateJoints ()
bool | removeJoint (OdeJoint const joint)
| removeJointsFrom (OdeJointCollection const other)
int | size ()
| Returns the number of joints in the collection.

## Constructor & Destructor Documentation

OdeJointCollection | ( |  | ) |

OdeJointCollection | ( | OdeJointCollection const | copy | ) |

## Member Function Documentation

addJoint | ( | OdeJoint const | joint | ) |

addJointsFrom | ( | OdeJointCollection const | other | ) |

clear | ( |  | ) |

OdeJoint getJoint | ( | int | index | ) |

list getJoints | ( |  | ) |

int getNumJoints | ( |  | ) |

bool hasJoint | ( | OdeJoint const | joint | ) |

bool isEmpty | ( |  | ) |

OdeJointCollection operator+ | ( | OdeJointCollection const | other | ) |

Returns a OdeJointCollection representing the concatenation of the two lists.

OdeJointCollection operator+= | ( | OdeJointCollection const | other | ) |

Appends the other list onto the end of this one.

OdeJointCollection operator= | ( | OdeJointCollection const | copy | ) |

OdeJoint operator[] | ( | int | index | ) |

removeDuplicateJoints | ( |  | ) |

bool removeJoint | ( | OdeJoint const | joint | ) |

removeJointsFrom | ( | OdeJointCollection const | other | ) |

int size | ( |  | ) |

Returns the number of joints in the collection.

This is the same thing as get_num_joints().

All Classes Namespaces Functions Variables Enumerations Enumerator Properties